# The Docker image that will be used to build your app
image: ruby:3.1.2
# Functions that should be executed before the build script is run
before_script:
  - gem install bundler:2.2.22
pages:
  script:
    - bundle install
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
